Create a rate
Body·
required
application/json
Fields accepted when creating a rate. Unknown or read-only fields are rejected.
- Type: number | nullamountrequired
- Type: string | nulllabel
- Type: string | nullFormat: uuidproduct
Id References products.id.
- Type: string | nullFormat: uuidstaff
Member Id References staffMembers.id.
- Type: "inactive" or "active" or nullenumstatus
Active rates are applied; inactive are retired.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/rates
curl https://api.weddingoperatingsystems.com/api/v1/rates \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"label": null,
"status": "inactive",
"amount": null,
"staffMemberId": null,
"productId": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"label": null,
"status": "inactive",
"amount": null,
"staffMemberId": null,
"productId": null,
"createdTime": "2026-09-30T06:22:05.745Z",
"lastEditedTime": "2026-09-30T06:22:05.745Z"
}
}